## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ReusableArenaBlock.hpp File Reference

Include dependency graph for ReusableArenaBlock.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- struct CompileTimeError< true >
- class ReusableArenaBlock
- struct ReusableArenaBlock::NextBlock

## Defines

- #define REUSABLEARENABLOCK_INCLUDE_GUARD_1357924680
- #define XALAN_STATIC_CHECK(expr) CompileTimeError<bool(expr)>()

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  struct CompileTimeError

## Define Documentation

#define REUSABLEARENABLOCK_INCLUDE_GUARD_1357924680

#define XALAN_STATIC_CHECK | ( | expr |  | ) | CompileTimeError<bool(expr)>()

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN struct CompileTimeError

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.